<template>
<div>
  <v-card class="ma-5">
    <div class="mx-12">
    <v-text-field
        name="buyerName"
        label="ชื่อผู้ซื้อ"
        id="buyerName"
        v-model="buyerName"
        required
    ></v-text-field>
    </div>
  <v-simple-table>
    <template v-slot:default>
      <thead>
        <tr>
          <th class="text-left"> ชื่อสินค้า </th>
          <th class="text-left"> ราคา </th>
          <th class="text-left"> จำนวน </th>
          <th class="text-left"> ราคารวมทั้งหมด </th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="(data, index) in postdata.data" :key="index">
          <td>{{data.orderList.product_name}}</td>
          <td>{{data.orderList.price}}</td>
          <td>{{data.orderList.amount}}</td>
          <td>{{data.orderList.sum}}</td>
        </tr>
      </tbody>
    </template>
  </v-simple-table>
    <div class="text-lg-right">
    <v-btn large  color="success" class="ma-3" @click="createOrder()"> สั่งซื้อ <v-icon>mdi-cart-variant</v-icon></v-btn>
    <v-btn large  color="error" class="ma-3" href="/product"> ย้อนกลับ <v-icon>mdi-cart-variant</v-icon></v-btn>
    </div>
  </v-card>

</div>
</template>

<script>
import { EventBus } from '@/EventBus'
export default {
  data () {
    return {
      postdata: {
         buyerName: '',
         orderList: [{
                product_id:'',
                amount: 0
            }]
      }
    }
  },
  mounted () {
    EventBus.$on('apptocart', this.apptocart)
  },
  methods: {
    async createOrder () {
      try {
        // const { data } = await this.axios.post('http://localhost:3000/orders', this.postdata)
        // alert(data.message)
        alert('createOrder')
      } catch (error) {
        console.log(error.message)
      }
    },
    apptocart (data) {
        this.postdata.orderList.product_id = data._id
        this.postdata.orderList.amount += 1
    }

  }
}
</script>

<style>

</style>